<!DOCTYPE html>
<html xmlns:fb="http://ogp.me/ns/fb#" xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
    <head>
        <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>"/>
        <title><?php wp_title( '|', true, 'right' ); ?></title>
        <link rel="profile" href="http://gmpg.org/xfn/11" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <?php
            myThemes::favicon();
            myThemes::ajaxurl();
            wp_head(); 
        ?>
    </head>

    <body <?php body_class( ); ?>>
        <?php
            $classes = 'my-header';
            if( myThemes::get( 'floating-bar' ) ){
                $classes = 'floating-bar';
            }
        ?>
        <header class="<?php echo $classes; ?>">
            <div class="navbar navbar-inverse navbar-fixed">
                <div class="navbar-inner">

                    <button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>

                    <hgroup class="brand">
                        <?php if( myThemes::get( 'logo' ) ) { ?>
                            <a href="<?php echo esc_url( home_url( "/" ) ); ?>" title="<?php bloginfo( 'name' ); echo ' '; bloginfo( 'description' ); ?>">
                                <img src="<?php echo myThemes::get( 'logo' ); ?>" alt="<?php bloginfo( 'name' ); echo ' '; bloginfo( 'description' ); ?>"/>
                            </a>
                        <?php }else { ?>

                            <?php if( is_home() || is_front_page() ) { ?>
                                <h1><a href="<?php echo esc_url( home_url( "/" ) ); ?>" title="<?php bloginfo( 'name' ); echo ' '; bloginfo( 'description' ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
                            <?php }else{ ?>
                                <h2><a href="<?php echo esc_url( home_url( "/" ) ); ?>" title="<?php bloginfo( 'name' ); echo ' '; bloginfo( 'description' ); ?>"><?php bloginfo( 'name' ); ?></a></h2>
                            <?php } ?>
                            <p><a href="<?php echo esc_url( home_url( "/" ) ); ?>" title="<?php bloginfo( 'name' ); echo ' '; bloginfo( 'description' ); ?>"><?php bloginfo( 'description' ); ?></a></p>

                        <?php } ?>
                    </hgroup>
                    <div class="nav-collapse collapse">
                        <nav class="nav pull-right"><?php //optiune pozitionarea meniului ?>
                            <?php wp_nav_menu( array( 'theme_location' => 'header' ) ); ?>
                        </nav>
                    </div>
                </div>
            </div>
        </header>
        <?php
            if( myThemes::get( 'show-search-bar' ) )
                get_template_part( 'search-bar' );
        ?>
        
        <div class="container-fluid my-container my-body">
            